%global momorel 1
Summary: graphical frontend for the git directory tracker
Name: giggle
Version: 0.4
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Productivity
URL: http://developer.imendio.com/projects/giggle

Source0: http://ftp.imendio.com/pub/imendio/%{name}/src/%{name}-%{version}.tar.gz 
NoSource: 0
Source1: ja.po
Patch0: giggle-0.4-ja.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: glib2-devel >= 2.14.1
BuildPreReq: pkgconfig
BuildPreReq: gtk2-devel >= 1.12.0
BuildPreReq: gtksourceview-devel >= 1.8.5
BuildPreReq: libglade2-devel >= 2.6.2
BuildPreReq: intltool
BUildPreReq: git

%description
Giggle is a Gtk frontend to the git directory tracker. With Giggle you
will be able to visualize and browse easily the revision tree, view
changed files and differences between revisions, visualize summarized
info for the project, commit changes and other useful tasks for any
git managed projects contributor.

%prep
%setup -q
%patch0 -p1 -b .ja
cp %{SOURCE1} po

%build
intltoolize -f
autoreconf -vfi
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_libdir}/libgiggle-0.4.so
%{_libdir}/libgiggle.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*/*/*
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%changelog
* Tue Jul 22 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4-1m)
- update 0.4

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3-4m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3-3m)
- %%NoSource -> NoSource

* Thu Oct 11 2007 zunda <zunda at freeshell.org>
- (kossori)
- added BUildPreReq: git

* Mon Oct  8 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3-2m)
- add ja.po

* Mon Oct  8 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3-1m)
- initial build
